Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Default_ORTC.cpp File Reference

`#include "Default_ORTC.h"`
`#include "tao/Stub.h"`
`#include "tao/Invocation.h"`
`#include "tao/PortableInterceptor.h"`
`#include "tao/RequestInfo_Util.h"`
`#include "tao/ClientRequestInfo_i.h"`
`#include "tao/ClientInterceptorAdapter.h"`
`#include "tao/ValueFactory.h"`
`#include "Default_ORTC.i"`

Include dependency graph for Default_ORTC.cpp:

## Functions
CORBA::TypeCode | _tc_TAO_tc_TAO_Default_ORT_ObjectReferenceFactory (CORBA::tk_value, sizeof(_oc_TAO_Default_ORT_ObjectReferenceFactory),(char *)&_oc_TAO_Default_ORT_ObjectReferenceFactory, 0, sizeof(TAO_Default_ORT::ObjectReferenceFactory))
| TAO_NAMESPACE_TYPE (CORBA::TypeCode_ptr) TAO_NAMESPACE_BEGIN(TAO_Default_ORT) TAO_NAMESPACE_DEFINE(
void | tao_TAO_Default_ORT_ObjectReferenceFactory_remove_ref (TAO_Default_ORT::ObjectReferenceFactory *p)
CORBA::TypeCode | _tc_TAO_tc_TAO_Default_ORT_ObjectReferenceTemplate (CORBA::tk_value, sizeof(_oc_TAO_Default_ORT_ObjectReferenceTemplate),(char *)&_oc_TAO_Default_ORT_ObjectReferenceTemplate, 0, sizeof(TAO_Default_ORT::ObjectReferenceTemplate))
void | tao_TAO_Default_ORT_ObjectReferenceTemplate_remove_ref (TAO_Default_ORT::ObjectReferenceTemplate *p)
TAO_PortableServer_Export void | operator<<= (CORBA::Any &any, TAO_Default_ORT::ObjectReferenceFactory *value)
TAO_PortableServer_Export void | operator<<= (CORBA::Any &any, TAO_Default_ORT::ObjectReferenceFactory **value)
TAO_PortableServer_Export CORBA::Boolean | operator>>= (const CORBA::Any &any, TAO_Default_ORT::ObjectReferenceFactory *&value)
TAO_PortableServer_Export void | operator<<= (CORBA::Any &any, TAO_Default_ORT::ObjectReferenceTemplate *value)
TAO_PortableServer_Export void | operator<<= (CORBA::Any &any, TAO_Default_ORT::ObjectReferenceTemplate **value)
TAO_PortableServer_Export CORBA::Boolean | operator>>= (const CORBA::Any &any, TAO_Default_ORT::ObjectReferenceTemplate *&value)
CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const TAO_Default_ORT::ObjectReferenceFactory *_tao_valuetype)
CORBA::Boolean | operator>> (TAO_InputCDR &strm, TAO_Default_ORT::ObjectReferenceFactory *&_tao_valuetype)
CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const TAO_Default_ORT::ObjectReferenceTemplate *_tao_valuetype)
CORBA::Boolean | operator>> (TAO_InputCDR &strm, TAO_Default_ORT::ObjectReferenceTemplate *&_tao_valuetype)
## Variables
const CORBA::Long | _oc_TAO_Default_ORT_ObjectReferenceFactory []
const CORBA::Long | _oc_TAO_Default_ORT_ObjectReferenceTemplate []

## Function Documentation

CORBA::TypeCode _tc_TAO_tc_TAO_Default_ORT_ObjectReferenceFactory | ( | CORBA::tk_value | ,
|  | sizeof(_oc_TAO_Default_ORT_ObjectReferenceFactory) | ,
|  | (char *)& | _oc_TAO_Default_ORT_ObjectReferenceFactory,
|  | 0 | ,
|  | sizeof(TAO_Default_ORT::ObjectReferenceFactory) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_TAO_Default_ORT_ObjectReferenceTemplate | ( | CORBA::tk_value | ,
|  | sizeof(_oc_TAO_Default_ORT_ObjectReferenceTemplate) | ,
|  | (char *)& | _oc_TAO_Default_ORT_ObjectReferenceTemplate,
|  | 0 | ,
|  | sizeof(TAO_Default_ORT::ObjectReferenceTemplate) |
| ) | `[static]`

CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const TAO_Default_ORT::ObjectReferenceTemplate * | _tao_valuetype
| ) |

CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const TAO_Default_ORT::ObjectReferenceFactory * | _tao_valuetype
| ) |

TAO_PortableServer_Export void operator<<= | ( | CORBA::Any & | any,
|  | TAO_Default_ORT::ObjectReferenceTemplate ** | value
| ) |

TAO_PortableServer_Export void operator<<= | ( | CORBA::Any & | any,
|  | TAO_Default_ORT::ObjectReferenceTemplate * | value
| ) |

TAO_PortableServer_Export void operator<<= | ( | CORBA::Any & | any,
|  | TAO_Default_ORT::ObjectReferenceFactory ** | value
| ) |

TAO_PortableServer_Export void operator<<= | ( | CORBA::Any & | any,
|  | TAO_Default_ORT::ObjectReferenceFactory * | value
| ) |

CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | TAO_Default_ORT::ObjectReferenceTemplate *& | _tao_valuetype
| ) |

CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | TAO_Default_ORT::ObjectReferenceFactory *& | _tao_valuetype
| ) |

TAO_PortableServer_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | any,
|  | TAO_Default_ORT::ObjectReferenceTemplate *& | value
| ) |

TAO_PortableServer_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | any,
|  | TAO_Default_ORT::ObjectReferenceFactory *& | value
| ) |

TAO_NAMESPACE_TYPE | ( | CORBA::TypeCode_ptr |  | ) |

void tao_TAO_Default_ORT_ObjectReferenceFactory_remove_ref | ( | TAO_Default_ORT::ObjectReferenceFactory * | p | ) |

void tao_TAO_Default_ORT_ObjectReferenceTemplate_remove_ref | ( | TAO_Default_ORT::ObjectReferenceTemplate * | p | ) |

## Variable Documentation

const CORBA::Long _oc_TAO_Default_ORT_ObjectReferenceFactory[]`[static]`

| Initial value:
    {
      TAO_ENCAP_BYTE_ORDER,
      47,
      ACE_NTOHL (0x49444c3a),
      ACE_NTOHL (0x54414f5f),
      ACE_NTOHL (0x44656661),
      ACE_NTOHL (0x756c745f),
      ACE_NTOHL (0x4f52542f),
      ACE_NTOHL (0x4f626a65),
      ACE_NTOHL (0x63745265),
      ACE_NTOHL (0x66657265),
      ACE_NTOHL (0x6e636546),
      ACE_NTOHL (0x6163746f),
      ACE_NTOHL (0x72793a31),
      ACE_NTOHL (0x2e300000),
      23,
      ACE_NTOHL (0x4f626a65),
      ACE_NTOHL (0x63745265),
      ACE_NTOHL (0x66657265),
      ACE_NTOHL (0x6e636546),
      ACE_NTOHL (0x6163746f),
      ACE_NTOHL (0x72790000),
      0,
      CORBA::tk_null,

      0,
    }

const CORBA::Long _oc_TAO_Default_ORT_ObjectReferenceTemplate[]`[static]`

| Initial value:
    {
      TAO_ENCAP_BYTE_ORDER,
      48,
      ACE_NTOHL (0x49444c3a),
      ACE_NTOHL (0x54414f5f),
      ACE_NTOHL (0x44656661),
      ACE_NTOHL (0x756c745f),
      ACE_NTOHL (0x4f52542f),
      ACE_NTOHL (0x4f626a65),
      ACE_NTOHL (0x63745265),
      ACE_NTOHL (0x66657265),
      ACE_NTOHL (0x6e636554),
      ACE_NTOHL (0x656d706c),
      ACE_NTOHL (0x6174653a),
      ACE_NTOHL (0x312e3000),
      24,
      ACE_NTOHL (0x4f626a65),
      ACE_NTOHL (0x63745265),
      ACE_NTOHL (0x66657265),
      ACE_NTOHL (0x6e636554),
      ACE_NTOHL (0x656d706c),
      ACE_NTOHL (0x61746500),
      0,
      CORBA::tk_null,

      0,
    }